My Oracle Support Banner

Form I9 - Section 2 Expiration Dates Validation Does Not Accept Documents At Hire: 'The date entered cannot be earlier than today's date' (Doc ID 2759373.1)

Last updated on MARCH 10, 2021

Applies to:

PeopleSoft Enterprise HCM Human Resources - Version 9.2 to 9.2 [Release 9]
Information in this document applies to any platform.

Symptoms

When verifying Form I-9 an error is thrown if the expiration date of the document is valid on the hire date but expired before the verification was done in PeopleSoft.

Steps to reproduce the issue:

     1. Navigate to Workforce Administration > Personal Information > Form I-9 > Complete/Reverify EE Form I-9
     2. Select US Passport in List A as the document for I-9 verifications
     3. Enter an expiration date: date that is prior to today (i.e., yesterday), but after the hire date
Observe: Above error is returned

This also happens in List B with Driver's licenses.

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
  
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.